/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package GUI;

import javax.swing.event.*;

/*********************************************************
* Class for catching text field changes.
* Sets the checked profile icon to "unchecked"
*
* @author Olav Haugan
*
* Date: 14.10.01
*********************************************************/
public class MyDocumentListener implements DocumentListener
{
	MQCFrame frame;
	
	/*********************************************************
	* Construcor. Initializes variables
	*
	* @param MQCFrame A reference to a frame
	*
	*********************************************************/
	public MyDocumentListener(MQCFrame frame)
	{
		this.frame = frame;
	}
	
	/*********************************************************
	* Called when the user edits a text field
	*********************************************************/
	public void changedUpdate(DocumentEvent e)
	{
	}

	/*********************************************************
	* Called when the user removes text from the field
	*********************************************************/
	public void removeUpdate(DocumentEvent e)
	{
		frame.setCheckProfileIcon(false);
	}

	/*********************************************************
	* Called when the user adds text to the field
	*********************************************************/
	public void insertUpdate(DocumentEvent e)
	{
		frame.setCheckProfileIcon(false);
	}
}
