/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

/*********************************************************
* HelloGC class
*---
* Simple test program that prints out the string "Hello World" and tests the
* garbage collector.
*---
* @author David McKinnon
*********************************************************/

public class HelloGC {
    public static void main(String[] args) {
        ShowMemory();

        String hello = "Hello World";
        for (int i = 0;  i < 2500;  i++) {
          hello = new String("Hello World" + i);
        }
        System.out.println(hello);

        ShowMemory();
    }

  static void ShowMemory() {
    long tMem, fMem, uMem, fMem1, uMemMax, fMemMax;
    Runtime runtime = Runtime.getRuntime();

    tMem    = runtime.totalMemory();
    fMem    = runtime.freeMemory();
    fMemMax = fMem;
    if (tMem == fMem) {
      // TINI hack, tMem and fMem are reported as equal
      tMem = 334240;  // MAGIC NUMBER appears to be the proper value
    }
    uMem    = tMem - fMem;
    System.out.println("Memory (t/f/u): \t"+tMem+" \t"+fMem+" \t"+uMem);

    System.gc();
    try {
      Thread.sleep(500);
    } catch (InterruptedException ie) {}

    for (int i = 0;  i < 100;  i++) {
      try {
        Thread.sleep(500);
      } catch (InterruptedException ie) {}

      fMem1   = runtime.freeMemory();

      System.out.println("fMem: "+fMem1);

      if (fMem1 > fMemMax ) {
        fMemMax = fMem1;
      } else {
        break;
      }
    }
    uMemMax = tMem - fMemMax;

    System.out.println("Memory (t/f/u): \t"+tMem+" \t"+fMemMax+" \t"+uMemMax);
  }                        
}
