/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc;

import mqc.ior.IOR;
import mqc.protocols.*;

/**
 * MQC-IOP protocol delegate
 * 
 * @author Olav Haugan
 * @author David McKinnon
 * @author Kim Christian Swenson
 */
public class MQCIOPDelegate extends Delegate
{

   /**
    * Constructor. Initializes variables.
    */
   public MQCIOPDelegate(ORB orb, IOR ior, boolean big )
   {
      super(orb, ior, big);

      protocol = MQC_IOP_PROT;

      MQCIOPHeader header = new MQCIOPHeader();
      m_request = new MQCIOPRequest( header );
      m_reply = new MQCIOPReply( header );
   }
}
