/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.ior;

/**
* The TCPxIIOPLite profile class.
*
* @author Eivind Naess
*/
public class IIOPLiteProfile extends TaggedProfile
{

   /**
    * Constructor for IIOPLiteProfile
    */ 
   public IIOPLiteProfile()
   {
      super(TaggedProfile.IIOPLITE);
   }
   /**
    * Encodes a corbaloc based on the IIOPLite profile
    * 
    * @param corbalocStr The string buffer to return
    * @return Encoded corbaloc string
    */
   public String encodeCorbalocProfile(String corbalocStr)
   {
      corbalocStr = super.encodeCorbalocProfile ("iioplite");
      return corbalocStr;
   }

   /**
    * Overides clone in Object
	* @return A copy of itself
    */
   public Object clone ()
   {
      IIOPLiteProfile profile = new IIOPLiteProfile();
      profile.objectKey = new byte[objectKey.length];
      System.arraycopy(objectKey, 0, profile.objectKey, 0, objectKey.length);
      profile.seqLen = seqLen;
      profile.major = major;
      profile.minor = minor;
      profile.host = host;
      profile.port = port;
      profile.bigEndian = bigEndian;
      return profile;
   }
}
