/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.protocols;

public interface Marshalable
{

   /**
    * Updates this instance. Done by extracting information from 
    * <code>in</code>.
    *
    * @param in  stream used as source for demarshaling into this instance
    *
    * @exception RuntimeException  If <code>in</code> does not represent
    * information in a format readable by this object.
    */
   public void deMarshal( CDRInputStream in ) throws RuntimeException;

   /**
    * Streams this instance's information to <code>out</code>. 
    *
    * @param out  stream used as target for marshaling this object.
    */
   public void marshal( CDROutputStream out );

}
