/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.transports;

import mqc.*;
import mqc.ior.*;
import mqc.holders.*;
import java.io.*;
import java.util.*;

/**
* Base class for transport layers
* 
* @author Olav Haugan
*
* 10.06.01
*/
public abstract class S_Transport implements java.lang.Runnable
{
   protected S_ORB orb;

   /**
   * Constructor. Initializes variables.
   */
   public S_Transport(S_ORB orb)
   {
      this.orb = orb;
   }

   /**
   * Initializes a connection
   *
   */
   public abstract boolean init();

   /**
   * Thread run function. Waits for connections
   */
   public abstract void run();

   /**
   * Returns the tagged profile
   *
   * @return TaggedProfile The tagged profile
   */
   public abstract TaggedProfile [] getTaggedProfile();
}
